Subject: RE: PIM-SMv2 Query on shutdown and Triggered Updates

From: Narayanan Vidya-CVN065 <[email-masked]>
Date: Thu, 16 Dec 1999 11:36:08 -0600

What exactly does it mean by a router "going down"? Is it a software reset?
If there is a hardware fault that brings down the CPU and there is only one
CPU in the router, then, we cannot rely on that router sending any messages.
Even with a software reset, that router is not a reliable message source any
more. What if the router loses power supply? 

Or, are you just talking about administratively bringing a router down?

This could be interesting if we can say that a router is capable of sending
this message out when it is shutting down due to any problem. Once there is
an element of unreliablity, I don't see this buying that much. Maybe I am
missing something?

Thanks,
Vidya

> -----Original Message-----
> From: Bill Fenner [mailto:[email-masked]]
> Sent: Wednesday, December 15, 1999 8:34 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: PIM-SMv2 Query on shutdown and Triggered Updates
> 
> 
> 
> >How does a PIM-SM router informs its neighbor that it is going down?
> 
> You send a Hello with a hold-time of 0.  It's kind of buried; this is
> only mentioned in the "packet formats" section of the spec.
> 
>   Bill
>

---

From: Renu Agarwal <[email-masked]>
Date: Fri, 17 Dec 1999 09:44:56 +0530

Hello Vidya,

> Or, are you just talking about administratively bringing a router down?

I am talking about the condition when the PIM protocol is brought down
administratively. What are the procedure should it follow to do so
gracefully and inform its neighbors.

> > only mentioned in the "packet formats" section of the spec.
Renu
-- 
___________________________________________________________
Renu Agarwal		E-mail: mailto:[email-masked]
Ficon Technology 	Web   : http://www.ficon-tech.com
___________________________________________________________